com.amazon.redshift.core

## Interface ReplicationProtocol

    public interface ReplicationProtocol

Abstracts the protocol-specific details of physic and logic replication.

With each connection open with replication options associate own instance ReplicationProtocol.

### Method Summary

All Methods Instance Methods Abstract Methods
`RedshiftReplicationStream` `startLogical(LogicalReplicationOptions options, RedshiftLogger logger)`
`RedshiftReplicationStream` `startPhysical(PhysicalReplicationOptions options, RedshiftLogger logger)`

### Method Detail

#### startLogical

    RedshiftReplicationStream startLogical(LogicalReplicationOptions options,
                                           RedshiftLogger logger)
                                    throws SQLException

Parameters:
  `options` - not null options for logical replication stream
  `logger` - the logger to log the entry for debugging.
Returns:
  not null stream instance from which available fetch wal logs that was decode by output plugin
Throws:
  `SQLException` - on error

#### startPhysical

    RedshiftReplicationStream startPhysical(PhysicalReplicationOptions options,
                                            RedshiftLogger logger)
                                     throws SQLException

Parameters:
  `options` - not null options for physical replication stream
  `logger` - the logger to log the entry for debugging.
Returns:
  not null stream instance from which available fetch wal logs
Throws:
  `SQLException` - on error